import request from '@/utils/request'

// 查询icd编码库列表
export function listIcd(query) {
  return request({
    url: '/his/icd/list',
    method: 'get',
    params: query
  })
}
// 下载导入模板
export function importTemplate() {
  return request({
    url: '/his/icd/importTemplate',
    method: 'get'
  })
}
// 查询icd编码库详细
export function getIcd(id) {
  return request({
    url: '/his/icd/' + id,
    method: 'get'
  })
}
// 查询icd编码库详细
export function allIcd(name) {
  return request({
    url: '/his/icd/allIcd/' + name,
    method: 'get'
  })
}
// 新增icd编码库
export function addIcd(data) {
  return request({
    url: '/his/icd',
    method: 'post',
    data: data
  })
}

// 修改icd编码库
export function updateIcd(data) {
  return request({
    url: '/his/icd',
    method: 'put',
    data: data
  })
}

// 删除icd编码库
export function delIcd(id) {
  return request({
    url: '/his/icd/' + id,
    method: 'delete'
  })
}

// 导出icd编码库
export function exportIcd(query) {
  return request({
    url: '/his/icd/export',
    method: 'get',
    params: query
  })
}